hardware-customers-post-one¶
Source¶
Repository:
jef-systems/jef-hardware-backendSource Run ID:
25090787814Source SHA:
444376867c764658b4ed0286bc44ff0ac8c80995Module:
hardwareDocumentation Scope:
asyncLambda:
jef-hardware-post-1
Endpoint¶
API Name:
jef-hardwareAction Name:
postMethod:
POSTScope Label:
AsyncResource Path:
/hardware-customers-post-oneComplete Endpoint:
https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-customers-post-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-hardware-post-1curl payload mode:
json_body
API Gateway Description¶
Function: jef-hardware-post-1
Module: jef-hardware
Action: post
Method: POST
Invocation Mode: ASYNC
Resource Path: /hardware-customers-post-one
API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.
Table:
- table: jef-hardware-customers
Payload Example:
- pk: 8f4dbfea-7d7d-4d90-ae89-58f4e8f1a001
- customer_id: 8f4dbfea-7d7d-4d90-ae89-58f4e8f1a001
- customer_name: Ramon Builders Supply
- contact_number: 09171234567
- email: [email protected]
- address: Rizal Street, Poblacion, Bago City, Negros Occidental
- government_id_type: Business Permit
- government_id_number: BP-2026-0001
- active: True
- updated_at: 2026-04-24T09:00:00+08:00
Payload Schema:
- pk: string-{customer_id}
- customer_id: string
- customer_name: string
- contact_number: string
- email: string
- address: string
- government_id_type: string
- government_id_number: string
- active: boolean
- updated_at: string
Response Schema:
- is_accepted: boolean
- message: string
Request Payload¶
{
"pk": "8f4dbfea-7d7d-4d90-ae89-58f4e8f1a001",
"customer_id": "8f4dbfea-7d7d-4d90-ae89-58f4e8f1a001",
"customer_name": "Ramon Builders Supply",
"contact_number": "09171234567",
"email": "[email protected]",
"address": "Rizal Street, Poblacion, Bago City, Negros Occidental",
"government_id_type": "Business Permit",
"government_id_number": "BP-2026-0001",
"active": "True",
"updated_at": "2026-04-24T09:00:00+08:00"
}
Response¶
{
"is_accepted": "boolean",
"message": "string"
}
CMD curl¶
curl -X POST "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-customers-post-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"8f4dbfea-7d7d-4d90-ae89-58f4e8f1a001\", \"customer_id\": \"8f4dbfea-7d7d-4d90-ae89-58f4e8f1a001\", \"customer_name\": \"Ramon Builders Supply\", \"contact_number\": \"09171234567\", \"email\": \"[email protected]\", \"address\": \"Rizal Street, Poblacion, Bago City, Negros Occidental\", \"government_id_type\": \"Business Permit\", \"government_id_number\": \"BP-2026-0001\", \"active\": true, \"updated_at\": \"2026-04-24T09:00:00+08:00\"}"
PowerShell curl¶
curl.exe -X POST "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-customers-post-one" -H "Content-Type: application/json" --data-raw '{"pk": "8f4dbfea-7d7d-4d90-ae89-58f4e8f1a001", "customer_id": "8f4dbfea-7d7d-4d90-ae89-58f4e8f1a001", "customer_name": "Ramon Builders Supply", "contact_number": "09171234567", "email": "[email protected]", "address": "Rizal Street, Poblacion, Bago City, Negros Occidental", "government_id_type": "Business Permit", "government_id_number": "BP-2026-0001", "active": true, "updated_at": "2026-04-24T09:00:00+08:00"}'